## pymediainfo 2.2.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pymediainfo.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pymediainfo.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pymediainfo"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pymediainfo"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
pymediainfo (2.2.0-1) unstable; urgency=low

  * Autogenerated by py2dsp v1.20151008
  * Upload to unstable (Closes: #867801)

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 30 Dec 2017 13:49:35 +0000

=== debian/control ===
Source: pymediainfo
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper (>= 10~), dh-python,
               pypy,
               pypy-setuptools,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools,
               python3-sphinx,
Standards-Version: 3.9.8
Homepage: https://github.com/sbraz/pymediainfo
Vcs-Git: git://git.debian.org/git/python-modules/packages/pymediainfo.git/
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pymediainfo/

Package: python-pymediainfo
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}
Description: Library to fetch multimedia metadata information - Python 2.x
 This library is a simple Python wrapper around the ffprobe or
 mediainfo command line utility.

Package: python3-pymediainfo
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Library to fetch multimedia metadata information - Python 3.x
 This library is a simple Python wrapper around the ffprobe or
 mediainfo command line utility.

Package: pypy-pymediainfo
Architecture: all
Depends: ${misc:Depends}, ${pypy:Depends},
Recommends: ${pypy:Recommends}
Suggests: ${pypy:Suggests}
Description: Library to fetch multimedia metadata information - PyPy version
 This library is a simple Python wrapper around the ffprobe or
 mediainfo command line utility.

Package: python-pymediainfo-doc
Section: doc
Architecture: all
Priority: extra
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: documentation for the pymediainfo Python library
 This package provides documentation for pymediainfo.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=pymediainfo
%:
	dh $@ --with python2,python3,pypy,sphinxdoc --buildsystem=pybuild

override_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd docs && \
	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	sphinx-build -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
endif

=== debian/watch ===
# try also https://pypi.debian.net/MediaInfo/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/MediaInfo/MediaInfo-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pymediainfo 2.3.0

=== debian/changelog ===
pymediainfo (2.3.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1

  [ Antoine Beaupré ]
  * fix copyright file to add original author
  * fix watch file
  * add missing libmediainfo depends (Closes: #896831)
  * new upstream release (Closes: #896422, #896313)

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 05 Jun 2018 20:33:39 -0400

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,24 @@
 Build-Depends: debhelper (>= 10~), dh-python,
                pypy,
                pypy-setuptools,
+               pypy-setuptools-scm,
                python-all,
                python-setuptools,
+               python-setuptools-scm,
                python3-all,
                python3-setuptools,
+               python3-setuptools-scm,
                python3-sphinx,
 Standards-Version: 3.9.8
 Homepage: https://github.com/sbraz/pymediainfo
-Vcs-Git: git://git.debian.org/git/python-modules/packages/pymediainfo.git/
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pymediainfo/
+Vcs-Git: https://salsa.debian.org/python-team/modules/pymediainfo.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/pymediainfo
 
 Package: python-pymediainfo
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
+Depends: ${misc:Depends}
+       , ${python:Depends}
+       , libmediainfo0v5
 Recommends: ${python:Recommends}
 Suggests: ${python:Suggests}
 Description: Library to fetch multimedia metadata information - Python 2.x
@@ -27,7 +32,9 @@
 
 Package: python3-pymediainfo
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends},
+Depends: ${misc:Depends}
+       , ${python3:Depends}
+       , libmediainfo0v5
 Recommends: ${python3:Recommends}
 Suggests: ${python3:Suggests}
 Description: Library to fetch multimedia metadata information - Python 3.x
@@ -46,7 +53,6 @@
 Package: python-pymediainfo-doc
 Section: doc
 Architecture: all
-Priority: extra
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: documentation for the pymediainfo Python library
  This package provides documentation for pymediainfo.

## pymediainfo 3.0

=== debian/changelog ===
pymediainfo (3.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.0.
  * Drop PyPy support

 -- Ondřej Nový <onovy@debian.org>  Tue, 23 Jul 2019 18:02:17 +0200

pymediainfo (3.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Antoine Beaupré ]
  * fix package description to remove ref to ffprobe
  * new upstream release
  * new debhelper and standards version, no change

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 16 Jan 2019 13:38:47 -0500

=== debian/control ===
Source: pymediainfo
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper-compat (= 11),
               dh-python,
               python-all,
               python-setuptools,
               python-setuptools-scm,
               python3-all,
               python3-setuptools,
               python3-setuptools-scm,
               python3-sphinx,
Standards-Version: 4.4.0
Homepage: https://github.com/sbraz/pymediainfo
Vcs-Git: https://salsa.debian.org/python-team/modules/pymediainfo.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pymediainfo

Package: python-pymediainfo
Architecture: all
Depends: ${misc:Depends}
       , ${python:Depends}
       , libmediainfo0v5
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}
Description: Library to fetch multimedia metadata information - Python 2.x
 This library is a simple Python wrapper around the MediaInfo library.

Package: python3-pymediainfo
Architecture: all
Depends: ${misc:Depends}
       , ${python3:Depends}
       , libmediainfo0v5
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Library to fetch multimedia metadata information - Python 3.x
 This library is a simple Python wrapper around the MediaInfo library.

Package: python-pymediainfo-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: documentation for the pymediainfo Python library
 This package provides documentation for pymediainfo.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=pymediainfo
%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd docs && \
	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	python3 -m sphinx -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
endif

## pymediainfo 4.1

=== debian/changelog ===
pymediainfo (4.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Antoine Beaupré ]
  * New upstream version 4.1

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 27 Oct 2019 16:05:06 -0400

pymediainfo (3.0-3) unstable; urgency=medium

  * Team upload.
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 25 Aug 2019 12:17:26 +0500

=== debian/control ===
--- 
+++ 
@@ -5,27 +5,14 @@
 Uploaders: Antoine Beaupré <anarcat@debian.org>
 Build-Depends: debhelper-compat (= 11),
                dh-python,
-               python-all,
-               python-setuptools,
-               python-setuptools-scm,
                python3-all,
                python3-setuptools,
                python3-setuptools-scm,
                python3-sphinx,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/sbraz/pymediainfo
 Vcs-Git: https://salsa.debian.org/python-team/modules/pymediainfo.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/pymediainfo
-
-Package: python-pymediainfo
-Architecture: all
-Depends: ${misc:Depends}
-       , ${python:Depends}
-       , libmediainfo0v5
-Recommends: ${python:Recommends}
-Suggests: ${python:Suggests}
-Description: Library to fetch multimedia metadata information - Python 2.x
- This library is a simple Python wrapper around the MediaInfo library.
 
 Package: python3-pymediainfo
 Architecture: all

## pymediainfo 4.2.1

=== debian/changelog ===
pymediainfo (4.2.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Antoine Beaupré ]
  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 10 May 2020 23:34:10 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Antoine Beaupré <anarcat@debian.org>
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-setuptools,

## pymediainfo 5.0.3

=== debian/changelog ===
pymediainfo (5.0.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.

  [ Antoine Beaupré ]
  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 04 Feb 2021 21:14:36 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pymediainfo
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Antoine Beaupré <anarcat@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
@@ -9,10 +9,10 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-sphinx,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/sbraz/pymediainfo
-Vcs-Git: https://salsa.debian.org/python-team/modules/pymediainfo.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/pymediainfo
+Vcs-Git: https://salsa.debian.org/python-team/packages/pymediainfo.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pymediainfo
 
 Package: python3-pymediainfo
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export PYBUILD_NAME=pymediainfo
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build-indep:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
@@ -11,3 +11,7 @@
 	python3 -m sphinx -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
 	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
 endif
+
+override_dh_installdocs:
+	dh_installdocs -ppython-pymediainfo-doc --doc-main-package=python3-pymediainfo
+	dh_installdocs --remaining-packages

## pymediainfo 6.0.1

=== Makefile ===
.PHONY: all
all:
	tox -p

.PHONY: qa
qa:
	tox -p -e "docs,black,flake8,isort,mypy,pylint"

=== debian/changelog ===
pymediainfo (6.0.1-2) unstable; urgency=medium

  * Team upload
  * Pretend SCM version
  * Fix FTBFS: setuptools_scm needs tomli on py3.10

 -- Bastian Germann <bage@debian.org>  Tue, 03 Jan 2023 02:33:49 +0100

pymediainfo (6.0.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 6.0.1

 -- Bastian Germann <bage@debian.org>  Tue, 03 Jan 2023 00:29:09 +0100

pymediainfo (5.0.3-2) unstable; urgency=medium

  [ Bastian Germann ]
  * Add Salsa CI

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 17 Dec 2022 23:15:30 +0000

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Antoine Beaupré <anarcat@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
                python3-setuptools-scm,
                python3-sphinx,
-Standards-Version: 4.5.0
+               python3-tomli,
+Standards-Version: 4.6.1
 Homepage: https://github.com/sbraz/pymediainfo
 Vcs-Git: https://salsa.debian.org/python-team/packages/pymediainfo.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pymediainfo
@@ -27,6 +28,8 @@
 Package: python-pymediainfo-doc
 Section: doc
 Architecture: all
+Built-Using: ${sphinxdoc:Built-Using}
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: documentation for the pymediainfo Python library
  This package provides documentation for pymediainfo.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #! /usr/bin/make -f
 
+include /usr/share/dpkg/pkg-info.mk
 export PYBUILD_NAME=pymediainfo
+export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)
+
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

## pymediainfo 6.1.0

=== docs/requirements.txt ===
alabaster
setuptools_scm
sphinx

=== debian/changelog ===
pymediainfo (6.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 05 Apr 2024 15:35:57 -0400

## pymediainfo 7.0.1

=== docs/requirements.txt ===
alabaster
myst-parser
setuptools_scm
sphinx

=== debian/changelog ===
pymediainfo (7.0.1-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 12 Feb 2025 12:21:10 -0500

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
+               python3-myst-parser,
+               python3-pdm-backend,
+               pybuild-plugin-pyproject,
                python3-setuptools,
                python3-setuptools-scm,
                python3-sphinx,

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,8 @@
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
-override_dh_auto_build-indep:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+execute_after_dh_auto_build-indep:
 	cd docs && \
 	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
 	python3 -m sphinx -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/

=== debian/watch ===
# try also https://pypi.debian.net/pymediainfo/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pymediainfo/pymediainfo-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
